<?php

// Função criada para Selecionar dados do Banco, precisa adicionar depois While ou Foreach sempre usando o $seleciona
function Seleciona($tabela, $quando, $ordem){
	
	$seleciona = mysql_query("SELECT * FROM $tabela $quando $ordem") or die (mysql_error());
	return $seleciona;	
}

//Função para Salvar dados na Tabela, Opção de Enviar nome da Tabela, Colunas e Campos
function Salvar($tabela, $colunas, $campos){
	$insere = mysql_query("INSERT INTO $tabela($colunas) value ($campos)") or die (mysql_error());
	return $insere;
}

//Função para Alterar dados na Tabela, Opção de Enviar Nome da Tabela, Campos, Nome da coluna id do banco e Id.
function Alterar($tabela, $campos, $idbanco, $idcampo){
	
	$alterar = mysql_query("UPDATE $tabela SET $campos WHERE $idbanco=$idcampo") or die (mysql_error());
        return $alterar;
}

//Função para Excluir dados na Tabela, Opção de Enviar Nome da Tabela, Campos, Nome da coluna id do banco e Id.
function Excluir($tabela, $idbanco, $idcampo){
	
	$excluir = mysql_query("DELETE FROM $tabela WHERE $idbanco=$idcampo") or die (mysql_error());
        return $excluir;
}

//FUNÇÃO QUE VERICIA SQL E REDIRECIONA SEM ALERT
function VerificaSqlSemAlert($sql, $urlok, $urlerrado){

	if ($sql){
		echo"
		<script type=\"text/Javascript\">
		window.location = '".$urlok."';</script>";
		die;
	}else{
		echo"
	<script type=\"text/Javascript\">
	window.location = '";
	echo $urlerrado;
	echo "';</script>";
		die;
	}

}


//FUNÇÃO QUE VERICIA SQL E REDIRECIONA
function VerificaSql($sql, $urlok, $urlerrado,$tipo,$mensagem){

	if($tipo == ""){
		$tipo_exibe = "alert";	
	}else{
		$tipo_exibe = $tipo;	
	}
	
	if($mensagem == ""){
		$mensagem_exibe = "Seu cadastro foi concluido com sucesso !";	
	}else{
		$mensagem_exibe = $mensagem;	
	}	

	if ($sql){
		$retorno = '<div class="window" style=" background-color: #FFFFFF; width: 300px; height: 150px; top:35%; margin-top:-75px; left:50%; margin-left:-150px; display: flex; border:#C0C0C0 solid 1px;">';
		$retorno .= '<table width="100%">';
		$retorno .= '<tr>';
		$retorno .= '<td height="20" align="center" valign="center" class="TextoCinzaEscuro">&nbsp;</td>';
		$retorno .= '<td align="right" valign="center" class="TextoCinzaEscuro"><a href="'.$urlok.'"><img src="img/icone_excluir.gif" width="24" height="24" alt="" border="0"></a></td>';
		$retorno .= '</tr>';
		$retorno .= '<tr>';
		$retorno .= '<td colspan="2" align="center" valign="center" class="TextoCinzaEscuro"><strong>'.$mensagem_exibe.'</strong></td>';
		$retorno .= '</tr>';
		$retorno .= '<tr>';
		$retorno .= '<td align="center" colspan="2">';
		$retorno .= '<table width="100" border="0" align="center" cellpadding="2" cellspacing="0" class="BoxMenuCinza" style="margin: 10px;">';
		$retorno .= '<tr>';
		$retorno .= '<td height="25" align="center" class="TextoCinzaGrande"><a href="'.$urlok.'" style="color: #000000;">OK</a></td>';
		$retorno .= '</tr>';
		$retorno .= '</table>';			
		$retorno .= '</td>';
		$retorno .= '</tr>';
		$retorno .= '</table>';
		$retorno .= '</div>';
		echo $retorno;
		die;
	}else{
		echo
		$retorno = '<div class="window" style=" background-color: #FFFFFF; width: 300px; height: 150px; top:35%; margin-top:-75px; left:50%; margin-left:-150px; display: flex; border:#C0C0C0 solid 1px;">';
		$retorno .= '<table width="100%">';
		$retorno .= '<tr>';
		$retorno .= '<td height="20" align="center" valign="center" class="TextoCinzaEscuro">&nbsp;</td>';
		$retorno .= '<td align="right" valign="center" class="TextoCinzaEscuro"><a href="'.$urlerrado.'"><img src="img/icone_excluir.gif" width="24" height="24" alt="" border="0"></a></td>';
		$retorno .= '</tr>';
		$retorno .= '<tr>';
		$retorno .= '<td colspan="2" align="center" valign="center" class="TextoCinzaEscuro"><strong>Desculpe-nos houve um Problema!</strong></td>';
		$retorno .= '</tr>';
		$retorno .= '<tr>';
		$retorno .= '<td align="center" colspan="2">';
		$retorno .= '<table width="100" border="0" align="center" cellpadding="2" cellspacing="0" class="BoxMenuCinza" style="margin: 10px;">';
		$retorno .= '<tr>';
		$retorno .= '<td height="25" align="center" class="TextoCinzaGrande"><a href="'.$urlerrado.'" style="color: #000000;">Voltar</a></td>';
		$retorno .= '</tr>';
		$retorno .= '</table>';			
		$retorno .= '</td>';
		$retorno .= '</tr>';
		$retorno .= '</table>';
		$retorno .= '</div>';
		echo $retorno;
		die;
	}

}
    

function InverteDataNovoSeparador($data,$separador, $novoseparador) {
	//Inverte a data para exibir do banco

	$novadata = implode("".$novoseparador."",array_reverse(explode("".$separador."",$data)));
	return $novadata;
}


function ConverteDataBanco($data,$separador, $novoseparador) {
	//Inverte a data para exibir do banco

	$databanco = implode("".$novoseparador."",array_reverse(explode("".$separador."",$data)));
	return $databanco;
}


function RetornaMes($mes) {

	if($mes == 01){
		$nome_mes = "Janeiro";
	}
	
	if($mes == 02){
		$nome_mes = "Fevereiro";
	}

	if($mes == 03){
		$nome_mes = "Março";
	}
	
	if($mes == 04){
		$nome_mes = "Abril";
	}
	
	if($mes == 05){
		$nome_mes = "Maio";
	}
	
	if($mes == 06){
		$nome_mes = "Junho";
	}
	
	if($mes == 07){
		$nome_mes = "Julho";
	}
	
	if($mes == 08){
		$nome_mes = "Agosto";
	}

	if($mes == 09){
		$nome_mes = "Setembro";
	}
	
	if($mes == 10){
		$nome_mes = "Outubro";
	}
	
	if($mes == 11){
		$nome_mes = "Novembro";
	}		
	
	if($mes == 12){
		$nome_mes = "Dezembro";
	}	
	
	return $nome_mes;								

}
function StatusConta($status) {

    // Converte Id para Texto

    if($status == 1){
		$resultado = "Em aberto";
	}

	
	if($status == 2){
		$resultado = "Pago";
	}	

    return $resultado;

}



function TipoConta($tipo) {

    // Converte Id para Texto

    if($tipo == 1){
		$resultado = "Contas a Pagar";
	}

	if($tipo == 2){
		$resultado = "Contas a Receber";
	}	

    return $resultado;

}

function StatusTarefa($status) {

    // Converte Id para Texto
    if($status == 1){
		$resultado = "Em aberto";
	}

	
	if($status == 2){
		$resultado = "Andamento";
	}	


	if($status == 3){
		$resultado = "Finalizado";
	}	
    return $resultado;
}


function Prioridade($status) {
    // Converte Id para Texto

    if($status == 1){
		$resultado = "Alta";
	}

	if($status == 2){
		$resultado = "M&eacute;dia";	
	}	

	if($status == 3){
		$resultado = "Baixa";
	}	

    return $resultado;
}

function RecebePagina($recebepagina) {

    if(empty($recebepagina)){
		$pagina = "home.php";
	}else{
		$pagina = $recebepagina;
	}
	
	return $pagina;
}

//GERADOR DE CAMPOS POST

function GerarCamposPost($tabela, $nomelinha){
	
echo "<br><br> <strong> CAMPOS POST </strong><br><br>";
	
$query_post = mysql_query("SHOW COLUMNS FROM " . $tabela . "");

//GERAR POST 
while ($coluna = mysql_fetch_assoc($query_post)) {
      $coluna = $coluna["Field"];
     echo "$" . $coluna . " = $" . "_POST['" . $coluna . "'];<br>";
}

echo "<br><br> <strong> CAMPOS TABELA SALVAR </strong><br><br>";

echo '$campos_tabela = "';

$query_insert = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_insert);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_insert)) {
      $coluna = $coluna["Field"];
     $cont++;
	 if($cont == $total){
	 	echo $coluna . '';
	 }else{
		echo $coluna . ", "; 
	 }
}
echo '";';

echo "<br><br> <strong> CAMPOS VARIAVEL SALVAR </strong><br><br>";

echo '$campos_value = "';

$query_variavel = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_insert);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_variavel)) {
      $coluna = $coluna["Field"];
     $cont++;
	 if($cont == $total){
	 	echo "'$" . $coluna . "'";
	 }else{
		echo "'$" . $coluna . "', "; 
	 }
}
echo '";';

echo "<br><br> <strong> CAMPOS ALTERAR </strong><br><br>";

echo '$campos_alterar = "';

$query_update = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_insert);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_update)) {
      $coluna = $coluna["Field"];
     $cont++;
	 if($cont == $total){
	 	echo $coluna . "='$" . $coluna . "'";
	 }else{
		echo $coluna . "='$" . $coluna . "', "; 
	 }
	 
}
echo '";';


echo "<br><br> <strong> CAMPOS SELECT </strong><br><br>";

$query_select = mysql_query("SHOW COLUMNS FROM " . $tabela . "");
$total = mysql_num_rows($query_select);
$cont = 0;
while ($coluna = mysql_fetch_assoc($query_select)) {
      $coluna = $coluna["Field"];
	 	echo "$" . $coluna . " = $" . $nomelinha . "['" .  $coluna . "']; <br>"; 
}

}

//VERIFICA CNPJ VÁLIDO

function validaCNPJ($cnpj) { 
    if (strlen($cnpj) <> 18) return 0; 
    $soma1 = ($cnpj[0] * 5) + 
 
    ($cnpj[1] * 4) + 
    ($cnpj[3] * 3) + 
    ($cnpj[4] * 2) + 
    ($cnpj[5] * 9) + 
    ($cnpj[7] * 8) + 
    ($cnpj[8] * 7) + 
    ($cnpj[9] * 6) + 
    ($cnpj[11] * 5) + 
    ($cnpj[12] * 4) + 
    ($cnpj[13] * 3) + 
    ($cnpj[14] * 2); 
    $resto = $soma1 % 11; 
    $digito1 = $resto < 2 ? 0 : 11 - $resto; 
    $soma2 = ($cnpj[0] * 6) + 
 
    ($cnpj[1] * 5) + 
    ($cnpj[3] * 4) + 
    ($cnpj[4] * 3) + 
    ($cnpj[5] * 2) + 
    ($cnpj[7] * 9) + 
    ($cnpj[8] * 8) + 
    ($cnpj[9] * 7) + 
    ($cnpj[11] * 6) + 
    ($cnpj[12] * 5) + 
    ($cnpj[13] * 4) + 
    ($cnpj[14] * 3) + 
    ($cnpj[16] * 2); 
    $resto = $soma2 % 11; 
    $digito2 = $resto < 2 ? 0 : 11 - $resto; 
    return (($cnpj[16] == $digito1) && ($cnpj[17] == $digito2)); 
} 

function RetornaMaoObra($id, $campo_bd){

$Seleciona = Seleciona("maodeobra", "WHERE idmaodeobra='$id'", "LIMIT 0,1");
	while($linha = mysql_fetch_array($Seleciona)){
		$Campo = $linha[$campo_bd];	
	}
	return $Campo;
}

function NomeMaoDeObra($idmaodeobra){

$SelecionaNomeMaodeObra = Seleciona("maodeobra", "WHERE idmaodeobra='$idmaodeobra'", "LIMIT 0,1");
	while($linha_maodeobra = mysql_fetch_array($SelecionaNomeMaodeObra)){
		$NomeMaodeObra = $linha_maodeobra['nome'];	
	}
	return $NomeMaodeObra;
}

function RetornaColaborador($id, $campo_bd){

$Seleciona = Seleciona("usuarios", "WHERE idusuario='$id'", "LIMIT 0,1");
	while($linha = mysql_fetch_array($Seleciona)){
		$Campo = $linha[$campo_bd];	
	}
	return $Campo;
}

function NomeColaborador($idusuario){

$SelecionaNomeColaborador = Seleciona("usuarios", "WHERE idusuario='$idusuario'", "LIMIT 0,1");
	while($linha_colaborador = mysql_fetch_array($SelecionaNomeColaborador)){
		$NomeColaborador = $linha_colaborador['nome'];	
	}
	return $NomeColaborador;
}

function RetornaFornecedor($id, $campo_bd){

$Seleciona = Seleciona("fornecedores", "WHERE idfornecedor='$id'", "LIMIT 0,1");
	while($linha = mysql_fetch_array($Seleciona)){
		$Campo = $linha[$campo_bd];	
	}
	return $Campo;
}

function NomeFornecedor($idfornecedor){

$SelecionaFornecedor = Seleciona("fornecedores", "WHERE idfornecedor='$idfornecedor'", "LIMIT 0,1");
	while($linha_fornecedor = mysql_fetch_array($SelecionaFornecedor)){
		$NomeFornecedor = $linha_fornecedor['nome'];	
	}
	return $NomeFornecedor;
}

function CnpjFornecedor($idfornecedor){

$SelecionaFornecedor = Seleciona("fornecedores", "WHERE idfornecedor='$idfornecedor'", "LIMIT 0,1");
	while($linha_fornecedor = mysql_fetch_array($SelecionaFornecedor)){
		$CnpjForncedor = $linha_fornecedor['cnpj'];	
	}
	return $CnpjForncedor;
}

function QtdeServicoPorCategoriaConcluido($idcategoria, $idobra){

$SelecionaFornecedor = Seleciona("obras_servicos", "WHERE status='Concluido' AND idcategoria='$idcategoria' AND idobra='$idobra'", "");
$TotalServicos = mysql_num_rows($SelecionaFornecedor);
	return $TotalServicos;
}

function QtdeServicoPorCategoriaAberto($idcategoria, $idobra){

$SelecionaFornecedor = Seleciona("obras_servicos", "WHERE status IN('Pendente', 'Trabalho') AND idcategoria='21' AND idobra='$idobra'", "");
$TotalServicos = mysql_num_rows($SelecionaFornecedor);
	return $TotalServicos;
}

function TituloObraServico($idservicoobra){

$SelecionaObrasServicos = Seleciona("obras_servicos", "WHERE idservicoobra='$idservicoobra'", "LIMIT 0,1");
	while($linha_obras = mysql_fetch_array($SelecionaObrasServicos)){
		$IdServico = $linha_obras['idservico'];	
	}
	
$SelecionaServico = Seleciona("servicos", "WHERE idservico='$IdServico'", "LIMIT 0,1");
	while($linha_servico = mysql_fetch_array($SelecionaServico)){
		$TituloServico = $linha_servico['titulo'];	
	}	
	return $TituloServico;
}

function NomeFilial($idfilial){

$SelecionaFilial = Seleciona("filiais", "WHERE idfilial='$idfilial'", "LIMIT 0,1");
	while($linha_filial = mysql_fetch_array($SelecionaFilial)){
		$NomeFilial = $linha_filial['nome'];	
	}
	return $NomeFilial;
}

function NomeCliente($idcliente){

$SelecionaNomeCliente = Seleciona("clientes", "WHERE CodCli='$idcliente'", "LIMIT 0,1");
	while($linha_cliente = mysql_fetch_array($SelecionaNomeCliente)){
		$NomeCliente = $linha_cliente['Fantasia'];	
	}	
	return $NomeCliente;
}

function ClienteObra($idobra){

$SelecionaClienteObra = Seleciona("obras", "WHERE idobra='$idobra'", "LIMIT 0,1");
	while($clienteobra = mysql_fetch_array($SelecionaClienteObra)){
		$CodCliente = $clienteobra['idcliente'];	
		
		
$SelecionaNomeCliente = Seleciona("clientes", "WHERE CodCli='$CodCliente'", "LIMIT 0,1");
	while($linha_cliente = mysql_fetch_array($SelecionaNomeCliente)){
		$NomeCliente = $linha_cliente['Fantasia'];	
	}		
		
	}
	return $NomeCliente;
}


// Função de porcentagem: Quanto é X% de N?
function ValorPorcentagem ( $porcentagem, $total ) {
	return ( $porcentagem / 100 ) * $total;
}

// Função de porcentagem: N é X% de N
function PercentualValor ( $parcial, $total ) {
    return ( $parcial * 100 ) / $total;
}

function NomeCentroCusto($idcentrodecusto){

$SelecionaCentroCusto = Seleciona("centro_custo", "WHERE idcentrocusto='$idcentrodecusto'", "LIMIT 0,1");
	while($linha_centrocusto = mysql_fetch_array($SelecionaCentroCusto)){
		$NomeCentroCusto = $linha_centrocusto['titulo'];	
	}
	return $NomeCentroCusto;
}

function RetornaConta($id, $campo_bd){

$Seleciona = Seleciona("contas", "WHERE idconta='$id'", "LIMIT 0,1");
	while($linha = mysql_fetch_array($Seleciona)){
		$Campo = $linha[$campo_bd];	
	}
	return $Campo;
}

function RetornaCampoGeral($tabela, $id, $campo, $campo_bd){

$Seleciona = Seleciona($tabela, "WHERE $campo='$id'", "LIMIT 0,1");
	while($linha = mysql_fetch_array($Seleciona)){
		$Campo = $linha[$campo_bd];	
	}
	return $Campo;
}


function EnviarEmail( $email, $nome, $assunto, $layout_email, $id ){


//ENVIAR E-MAIL CHAMADO

// Inclui o arquivo class.phpmailer.php localizado na pasta phpmailer
require_once("clsmail.php");

// Inicia a classe PHPMailer
$mail = new PHPMailer();

// Define os dados do servidor e tipo de conexÃ£o
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

$mail->IsSMTP(); // Define que a mensagem serÃ¡ SMTP
$mail->Host = "mail.minhaempresa.online"; // EndereÃ§o do servidor SMTP
//$mail->SMTPAuth = true; // Usa autenticaÃ§Ã£o SMTP? (opcional)
$mail->Username = 'aviso@minhaempresa.online'; // UsuÃ¡rio do servidor SMTP
$mail->Password = 'cliente@k88'; // Senha do servidor SMTP
//$mail->Port = 587; 
$mail->SMTPDebug  = 1;

// Define o remetente
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$FROM = "Sistema Max";
$mail->From = "no-reply@minhaempresa.online"; // Seu e-mail
$mail->FromName = utf8_decode($FROM); // Seu nome
$mail->AddAddress($email, $nome);
$mail->IsHTML(true); // Define que o e-mail será enviado como HTML
$mail->CharSet = 'iso-8859-1'; // Charset da mensagem (opcional)

$mail->Subject  = utf8_decode($assunto); // Assunto da mensagem
	ob_start();
//	echo $id;
	require_once($layout_email);	
	$TextoEmail = ob_get_contents();
	ob_end_clean();	

//$TextoEmail = "ENVIAR POR FAVOR";
$mail->Body = utf8_decode($TextoEmail);

// Envia o e-mail
$enviado = $mail->Send();
$mail->SMTPDebug = 1;
// Limpa os destinatÃ¡rios e os anexos
$mail->ClearAllRecipients();
$mail->ClearAttachments();

if($enviado){
	echo "ENVIADO COM SUCESSO PARA " . $email . "<br>";	
}

return $enviado;
	
}


function EnviarEmailMultiplo( $emails, $nomes, $assunto, $layout_email, $id ){

//ENVIAR E-MAIL CHAMADO

// Inclui o arquivo class.phpmailer.php localizado na pasta phpmailer
require_once("clsmail.php");

// Inicia a classe PHPMailer
$mail = new PHPMailer();

// Define os dados do servidor e tipo de conexÃ£o
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$mail->IsSMTP(); // Define que a mensagem serÃ¡ SMTP
$mail->Host = "mail.k88.com.br"; // EndereÃ§o do servidor SMTP
$mail->SMTPAuth = true; // Usa autenticaÃ§Ã£o SMTP? (opcional)
$mail->Username = 'teste@k88.com.br'; // UsuÃ¡rio do servidor SMTP
$mail->Password = 'clientek88'; // Senha do servidor SMTP
$mail->Port = 587; 

// Define o remetente
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$FROM = "Sistema Max";
$mail->From = "no-reply@minhaempresa.online"; // Seu e-mail
$mail->FromName = utf8_decode($FROM); // Seu nome

//LOOP NO E-MAILS RECEBIDOS NO LOOP.

foreach ($emails as $indice => $dados) {
$mail->AddAddress($dados, $nomes[$indice]);
}

//FIM LOOP

$mail->IsHTML(true); // Define que o e-mail será enviado como HTML
$mail->CharSet = 'iso-8859-1'; // Charset da mensagem (opcional)

$mail->Subject  = utf8_decode($assunto); // Assunto da mensagem
	ob_start();
//	echo $id;
	require_once($layout_email);	
	$TextoEmail = ob_get_contents();
	ob_end_clean();	

//$TextoEmail = "ENVIAR POR FAVOR";
$mail->Body = utf8_decode($TextoEmail);

// Envia o e-mail
$enviado = $mail->Send();
$mail->SMTPDebug = 1;
// Limpa os destinatÃ¡rios e os anexos
$mail->ClearAllRecipients();
$mail->ClearAttachments();

if($enviado){
	echo "ENVIADO COM SUCESSO";	
}

return $enviado;
	
}



?>
